-- namespace
Tutorials = {};

-- frames
FRAME1 = 1

-- tutorial clips
TUTORIAL1 = 1;
TUTORIAL2 = 2;
TUTORIAL3 = 3;
TUTORIAL4 = 4;
TUTORIAL5 = 5;
TUTORIAL6 = 6;
TUTORIAL7 = 7;
TUTORIAL8 = 8;
TUTORIAL9 = 9;
TUTORIAL10 = 10;
TUTORIAL11 = 11;
TUTORIAL12 = 12;
TUTORIAL13 = 13;
TUTORIAL14 = 14;

-----------------------------------------------------------------------------
-- Notification that a level has started
-----------------------------------------------------------------------------

function Tutorials:ActivateTutorial(nTutorial, nFrame)

	local eMode = BC_GetPlayMode();
	local bComplete = BC_IsTutorialComplete(nTutorial);

	if( (eMode == PLAYMODE_NORMAL) and (bComplete == false) ) then
	  BC_ActivateImageClip(nFrame, nTutorial, 0);
	  BC_SetTutorialComplete(nTutorial);
	end

end
